Bug 1573253 - crashes in latest Fedora 28: Assertion '__builtin_expect(__n < this->size(), true)' failed.
Summary: crashes in latest Fedora 28: Assertion '__builtin_expect(__n < this->size(), ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: schroot
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zach Carter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1575543 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-30 15:30 UTC by Martin Pitt
Modified: 2018-06-04 11:28 UTC (History)
7 users (show)

Fixed In Version: schroot-1.6.10-3.fc28 schroot-1.6.10-3.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-21 14:03:24 UTC
Type: Bug


Attachments (Terms of Use)
Patch to fix STL assets with gcc 8 (1.41 KB, patch)
2018-05-05 21:34 UTC, Scott Murray
no flags Details | Diff

Description Martin Pitt 2018-04-30 15:30:22 UTC
Description of problem: Since a recent dnf update, schroot does not work at all any more:

$ schroot -c artful 
/usr/include/c++/8/bits/stl_vector.h:932: std::vector<_Tp, _Alloc>::reference std::vector<_Tp, _Alloc>::operator[](std::vector<_Tp, _Alloc>::size_type) [with _Tp = char; _Alloc = std::allocator<char>; std::vector<_Tp, _Alloc>::reference = char&; std::vector<_Tp, _Alloc>::size_type = long unsigned int]: Assertion '__builtin_expect(__n < this->size(), true)' failed.

This happens with any chroot, as user and root. `schroot -l` and `schroot --help` still work, though.


Version-Release number of selected component (if applicable):

schroot-1.6.5-23.fc28.x86_64

How reproducible: Always

Comment 1 Zach Carter 2018-04-30 17:23:51 UTC
Hi Martin,

Sorry there is a problem with the package.  I'm no longer maintaining it, so I won't be able to work on this problem.  I'm beginning the process to orphan the package now so maybe someone will take over maintenance.

Comment 2 Fedora Update System 2018-05-03 03:45:08 UTC
schroot-1.6.10-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-dce4e36c31

Comment 3 Martin Pitt 2018-05-03 06:39:14 UTC
As noted on the bodhi update page, schroot-1.6.10-1.fc28 has the exact same problem.

Comment 4 Sergio Basto 2018-05-03 15:38:11 UTC
OK Thanks for the feedback , I will check it soon as possible.

Comment 5 Fedora Update System 2018-05-03 20:23:25 UTC
schroot-1.6.10-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-dce4e36c31

Comment 6 Scott Murray 2018-05-05 21:34:58 UTC
Created attachment 1432113 [details]
Patch to fix STL assets with gcc 8

The attached patch fixes the issue for me when I rebuild the SRPM with it included.  From googling, it seems there are some issues _GLIBCXX_ASSERTIONS versus overly aggressive gcc 8 optimizations, using the C++11 data() method sidesteps that.

Comment 7 Martin Pitt 2018-05-07 06:41:57 UTC
Scott: I confirm this patch works fine, I built/installed that locally. Thanks!

Comment 8 Slawomir Czarko 2018-05-07 09:19:12 UTC
schroot-1.6.10-1.fc28 crashes the same way but when built with the patch added it works fine. Thanks.

Comment 9 Sergio Basto 2018-05-08 14:30:43 UTC
*** Bug 1575543 has been marked as a duplicate of this bug. ***

Comment 10 Mario Sanchez Prada 2018-05-08 18:41:57 UTC
FWIW, I can confirm that I still get the same failure with schroot-1.6.10-1.fc28 from updates-testing, and that schroot 1.6.5-23.fc28 works fine after applying the patch from https://bugzilla.redhat.com/show_bug.cgi?id=1573253#c6 and rebuilding.

Comment 11 Fedora Update System 2018-05-09 20:04:10 UTC
schroot-1.6.10-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2b19a62674

Comment 12 Fedora Update System 2018-05-11 01:59:09 UTC
schroot-1.6.10-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2b19a62674

Comment 13 Fedora Update System 2018-05-11 20:01:50 UTC
schroot-1.6.10-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e79bb30016

Comment 14 Fedora Update System 2018-05-11 20:02:43 UTC
schroot-1.6.10-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-70339c68b5

Comment 15 Fedora Update System 2018-05-12 19:36:12 UTC
schroot-1.6.10-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e79bb30016

Comment 16 Fedora Update System 2018-05-12 20:23:22 UTC
schroot-1.6.10-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-70339c68b5

Comment 17 Martin Pitt 2018-05-13 21:00:37 UTC
I verified the bodhi update for -3, works fine. Thank you!

Comment 18 Fedora Update System 2018-05-21 14:03:24 UTC
schroot-1.6.10-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2018-05-31 13:05:28 UTC
schroot-1.6.10-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Mario Sanchez Prada 2018-06-04 11:28:58 UTC
(In reply to Fedora Update System from comment #19)
> schroot-1.6.10-3.el7 has been pushed to the Fedora EPEL 7 stable repository.
> If problems still persist, please make note of it in this bug report.

I installed this package from the updates-testing repo and I can confirm the issue is fixed in schroot-1.6.10-3.fc28.

Thanks!


Note You need to log in before you can comment on or make changes to this bug.